    // start position
    var lat = 44.55;
    var lon = 16.67;
    var zoom = 7;
 
    var map, layer, drawControls, selectControl, selectedFeature;; //complex object of type OpenLayers.Map
 
        function onPopupClose( feature ) {
            selectControl.unselect(selectedFeature);
        }
        function onFeatureSelect( feature ) {
            selectedFeature = feature;
	    OpenLayers.Popup.FramedCloud.prototype.autoSize = false;

            popup = new OpenLayers.Popup.FramedCloud("marker", 
                                     feature.geometry.getBounds().getCenterLonLat(),
                                     new OpenLayers.Size(215, 210),
                                     "<h2>"+feature.attributes.title + "</h2>" +
					  feature.attributes.description,
                                     null, false, onPopupClose);
            feature.popup = popup;
	    popup.feature = feature;
            map.addPopup( popup );
        }
        function onFeatureUnselect(feature) {
            map.removePopup(feature.popup);
            feature.popup.destroy();
            feature.popup = null;
        }

        function init(){
            map = new OpenLayers.Map ("map", {
                controls:[
                    new OpenLayers.Control.Navigation(),
                    new OpenLayers.Control.PanZoomBar(),
		    new OpenLayers.Control.MousePosition(),
		    new OpenLayers.Control.Permalink(),
                    new OpenLayers.Control.ScaleLine(),
                    new OpenLayers.Control.Attribution()],
                maxExtent: new OpenLayers.Bounds(-20037508.34,-20037508.34,20037508.34,20037508.34),
                maxResolution: 156543.0399,
                numZoomLevels: 19,
                units: 'm',
                projection: new OpenLayers.Projection("EPSG:900913"),
                displayProjection: new OpenLayers.Projection("EPSG:4326")
            } );
 
            layerTilesAtHome = new OpenLayers.Layer.OSM.Mapnik("Mapnik");
            map.addLayer(layerTilesAtHome);
 
            if( ! map.getCenter() ){
                var lonLat = new OpenLayers.LonLat(lon, lat).transform(new OpenLayers.Projection("EPSG:4326"), map.getProjectionObject());
                map.setCenter (lonLat, zoom);
            }
	    
   	    var attrib = new OpenLayers.Layer.Vector("Attribution",
                              {attribution:"<br/>Linuxzasve.com"});

	    var style_default = new OpenLayers.Style({
		  'externalGraphic': "images/tux-icon.png",
		  'graphicHeight': 40,
		  'graphicWidth': 36,
		  'graphicXOffset': -20,
		  'graphicYOffset': -18
	    });
	    var style_selected = new OpenLayers.Style({
		  'externalGraphic': "images/tux-icon.png",
		  'graphicHeight': 40,
		  'graphicWidth': 36,
		  'graphicXOffset': -20,
		  'graphicYOffset': -18
	    });

	    var styleMap = new OpenLayers.StyleMap({'default':style_default, 'select': style_selected });

	    var geojson_format = new OpenLayers.Format.GeoJSON( { 'internalProjection': map.baseLayer.projection, 'externalProjection': map.displayProjection } );
	    var markeri = new OpenLayers.Layer.Vector("GeoJSON", {
						  format: OpenLayers.Format.GeoJSON,
						  isBaseLayer: false,
						  styleMap: styleMap });
	    markeri.addFeatures( geojson_format.read( map_data ) );

	    drawControls = {
                polygon: new OpenLayers.Control.DrawFeature(markeri,
                            OpenLayers.Handler.Polygon),
                select: new OpenLayers.Control.SelectFeature(markeri, {onSelect: onFeatureSelect, onUnselect: onFeatureUnselect})
            };

	    map.addControl(drawControls['select']);
	    drawControls['select'].activate();

	    map.addLayers([attrib, markeri]);
        }
